## Index

### Classes

- AutocompleteControlRenderer
- BooleanControlRenderer
- CategorizationTabLayoutRenderer
- DateControlRenderer
- GroupLayoutRenderer
- HorizontalLayoutRenderer
- JsonFormsAngularMaterialModule
- JsonFormsDetailComponent
- LabelRenderer
- LayoutRenderer
- MasterListComponent
- NumberControlRenderer
- ObjectControlRenderer
- RangeControlRenderer
- TableRenderer
- TextAreaRenderer
- TextControlRenderer
- ToggleControlRenderer
- VerticalLayoutRenderer

### Interfaces

- ColumnDescription
- OwnPropsOfAutoComplete

### Variables

- DateControlRendererTester
- LabelRendererTester
- NumberControlRendererTester
- ObjectControlRendererTester
- RangeControlRendererTester
- TableRendererTester
- TextAreaRendererTester
- TextControlRendererTester
- ToggleControlRendererTester
- angularMaterialRenderers
- booleanControlTester
- categorizationTester
- enumControlTester
- groupLayoutTester
- horizontalLayoutTester
- keywords
- masterDetailTester
- verticalLayoutTester

### Functions

- controlWithoutLabel
- mapStateToProps
- removeSchemaKeywords

## Variables

### Const DateControlRendererTester

DateControlRendererTester: RankedTester = rankWith(2,isDateControl)

- Defined in angular-material/src/controls/date.renderer.ts:74

### Const LabelRendererTester

LabelRendererTester: RankedTester = rankWith(4, uiTypeIs('Label'))

- Defined in angular-material/src/other/label.renderer.ts:96

### Const NumberControlRendererTester

NumberControlRendererTester: RankedTester = rankWith(2,or(isNumberControl, isIntegerControl))

- Defined in angular-material/src/controls/number.renderer.ts:152

### Const ObjectControlRendererTester

ObjectControlRendererTester: RankedTester = rankWith(2,isObjectControl)

- Defined in angular-material/src/other/object.renderer.ts:79

### Const RangeControlRendererTester

RangeControlRendererTester: RankedTester = rankWith(4,isRangeControl)

- Defined in angular-material/src/controls/range.renderer.ts:69

### Const TableRendererTester

TableRendererTester: RankedTester = rankWith(3,or(isObjectArrayControl, isPrimitiveArrayControl))

- Defined in angular-material/src/other/table.renderer.ts:147

### Const TextAreaRendererTester

TextAreaRendererTester: RankedTester = rankWith(2,isMultiLineControl)

- Defined in angular-material/src/controls/textarea.renderer.ts:52

### Const TextControlRendererTester

TextControlRendererTester: RankedTester = rankWith(1,isStringControl)

- Defined in angular-material/src/controls/text.renderer.ts:69

### Const ToggleControlRendererTester

ToggleControlRendererTester: RankedTester = rankWith(3,and(isBooleanControl, optionIs('toggle', true)))

- Defined in angular-material/src/controls/toggle.renderer.ts:60

### Const angularMaterialRenderers

angularMaterialRenderers: object[] = [// controls{ tester: booleanControlTester, renderer: BooleanControlRenderer },{ tester: TextControlRendererTester, renderer: TextControlRenderer },{ tester: TextAreaRendererTester, renderer: TextAreaRenderer },{ tester: NumberControlRendererTester, renderer: NumberControlRenderer },{ tester: RangeControlRendererTester, renderer: RangeControlRenderer },{ tester: DateControlRendererTester, renderer: DateControlRenderer },{ tester: ToggleControlRendererTester, renderer: ToggleControlRenderer },{ tester: enumControlTester, renderer: AutocompleteControlRenderer },{ tester: ObjectControlRendererTester, renderer: ObjectControlRenderer },// layouts{ tester: verticalLayoutTester, renderer: VerticalLayoutRenderer },{ tester: groupLayoutTester, renderer: GroupLayoutRenderer },{ tester: horizontalLayoutTester, renderer: HorizontalLayoutRenderer },{ tester: categorizationTester, renderer: CategorizationTabLayoutRenderer },{ tester: LabelRendererTester, renderer: LabelRenderer },// other{ tester: masterDetailTester, renderer: MasterListComponent },{ tester: TableRendererTester, renderer: TableRenderer }]

- Defined in angular-material/src/index.ts:93

### Const booleanControlTester

booleanControlTester: RankedTester = rankWith(2, isBooleanControl)

- Defined in angular-material/src/controls/boolean.renderer.ts:66

### Const categorizationTester

categorizationTester: RankedTester = rankWith(2,and(uiTypeIs('Categorization'), categorizationHasCategory))

- Defined in angular-material/src/layouts/categorization-layout.renderer.ts:83

### Const enumControlTester

enumControlTester: RankedTester = rankWith(2, isEnumControl)

- Defined in angular-material/src/controls/autocomplete.renderer.ts:147

### Const groupLayoutTester

groupLayoutTester: RankedTester = rankWith(1, uiTypeIs('Group'))

- Defined in angular-material/src/layouts/group-layout.renderer.ts:47

### Const horizontalLayoutTester

horizontalLayoutTester: RankedTester = rankWith(1,uiTypeIs('HorizontalLayout'))

- Defined in angular-material/src/layouts/horizontal-layout.renderer.ts:56

### Const keywords

keywords: string[] = ['#', 'properties', 'items']

- Defined in angular-material/src/other/master-detail/master.ts:47

### Const masterDetailTester

masterDetailTester: RankedTester = rankWith(4,uiTypeIs('ListWithDetail'))

- Defined in angular-material/src/other/master-detail/master.ts:253

### Const verticalLayoutTester

verticalLayoutTester: RankedTester = rankWith(1,uiTypeIs('VerticalLayout'))

- Defined in angular-material/src/layouts/vertical-layout.renderer.ts:51

## Functions

### Const controlWithoutLabel

- controlWithoutLabel(scope: string): ControlElement

- - Defined in angular-material/src/other/table.renderer.ts:158

  #### Parameters

  - ##### scope: string

  #### Returns ControlElement

### Const mapStateToProps

- mapStateToProps(state: JsonFormsState, ownProps: OwnPropsOfRenderer): object

- - Defined in angular-material/src/other/label.renderer.ts:42

  #### Parameters

  - ##### state: JsonFormsState

  - ##### ownProps: OwnPropsOfRenderer

  #### Returns object

  - ##### visible: boolean

### Const removeSchemaKeywords

- removeSchemaKeywords(path: string): string

- - Defined in angular-material/src/other/master-detail/master.ts:49

  #### Parameters

  - ##### path: string

  #### Returns string

Generated using TypeDoc